<?
echo'<div class="event"><h1>Тикеты</h1></div>';
if($ku['status']==3 || $ku['status']==1)
{
$post=mysql_query("SELECT * FROM `me_tikets`WHERE `id` = '0'");
$x=mysql_query("SELECT * FROM `me_tikets` WHERE `id` = '".intval($_GET['id'])."' ORDER BY `id` DESC");
while($tiket=mysql_fetch_assoc($x)){
if(isset($_GET['id']))
{
  if(isset($_GET['peredacha'])){
mysql_query("UPDATE `me_tikets` SET `admin` = '1' WHERE `id` = '$tiket[id]'");
header("Location: /?TicketSupport&id=$tiket[id]");
}
if(isset($_GET['otvet']))
{
if($ku['id'] == 86)$admin = 'Павел';
if($ku['id'] == 1)$admin = 'Екатерина';
if($ku['id'] == 132)$admin = 'Дмитрий';
if($ku['id'] == 405)$admin = 'Андрей';
if($ku['id'] == 45)$admin = 'Василий';

  echo "<div class='block'>";

echo '<form action="/?TicketSupport&id='.$tiket['id'].'&otvet&save" method="post">';
echo 'Сообщение:<br/>';
echo '<textarea name="otvet"></textarea><br/>';
echo '<input type="submit" value="Отправить"/>';
  echo '</form></div>';

if(isset($_GET['save'])){
$opis=((($_POST['otvet'])));
if($opis==NULL)
{
echo 'Пустое сообщение!';
} else {
    $random1=rand(1,7);
    if($random1==1)
    {
        $random='Солнечного настроения! 
        Всегда с вами, [url=/online/admin]поддержка Моя Деревня[/url]';
    }
     if($random1==2)
    {
        $random='С уважением, '.$admin.'
        Всегда с вами, [url=/online/admin]поддержка Моя Деревня[/url]';
    }
      if($random1==3)
    {
        $random='Всегда рады вашим вопросам,
        [url=/online/admin]Команда поддержки Моя Деревня[/url]';
    }
         if($random1==4)
    {
        $random='Всегда ждем ваших вопросов!
        [url=/online/admin]Команда поддержки Моя Деревня[/url]';
    }
            if($random1==5)
    {
        $random='Спасибо что остаетесь с нами,
        [url=/online/admin]Команда поддержки Моя Деревня[/url]';
    }
               if($random1==6)
    {
        $random='С пожеланиями удачи и прекрасного настроения,
        [url=/online/admin]Ваша поддержка[/url]';
    }
                 if($random1==7)
    {
        $random='Искренне ваша,
        [url=/online/admin]Поддержка Моя Деревня[/url]';
    }
$msgmail='Здравствуйте!
Вы писали:  "'.$tiket['msg'].'"
---
'.$opis.'

'.$random.'';
mysql_query("INSERT INTO `kolhoz_mail` (`id_user`,`id_kont`,`msg`,`time`,`type`,`read`)VALUES('$tiket[id_user]','$ku[id]','$msgmail','$time','to','0')");
mysql_query("UPDATE `me_tikets` SET `msg_otvet` = '$msgmail' WHERE `id` = '$tiket[id]'");
mysql_query("UPDATE `me_tikets` SET `read` = '1' WHERE `id` = '$tiket[id]'");
mysql_query("UPDATE `me_tikets` SET `id_who` = '$ku[id]' WHERE `id` = '$tiket[id]'");
    
header("Location: /?TicketSupport&id=$tiket[id]");
}
}

}
if(isset($_GET['otveting']))
{
if($ku['id'] == 86)$admin = 'Павел';
if($ku['id'] == 1)$admin = 'Екатерина';
if($ku['id'] == 132)$admin = 'Дмитрий';
if($ku['id'] == 405)$admin = 'Андрей';
if($ku['id'] == 45)$admin = 'Василий';
    echo "<div class='block'>";

echo '<form action="/?TicketSupport&id='.$tiket['id'].'&otveting&save" method="post">';
echo 'Моментальный ответ:<br/>';
echo'<select name="otveting">
<option value="Благодарим Вас за предоставленную информацию о ошибках игры Моя Деревня. 
Совместными усилиями мы делаем нахождение на игровых серверах приятнее и интереснее">О ошибках игры<br>
</option>
<option value="Благодарим Вас за предоставленную информацию о нарушителях игры  Моя Деревня. 
Совместными усилиями мы делаем нахождение на игровых серверах приятнее и интереснее">О нарушителях игры 
</option>

';

echo '<input type="submit" value="Отправить"/>';
  echo '</form></div>';
if(isset($_GET['save'])){
$opis=((($_POST['otveting'])));
if($opis==NULL)
{
echo 'Пустое сообщение!';
} else {
    $random1=rand(1,7);
       if($random1==1)
    {
        $random='Солнечного настроения! 
        Всегда с вами, [url=/online/admin]поддержка Моя Деревня[/url]';
    }
     if($random1==2)
    {
        $random='С уважением, '.$admin.'
        Всегда с вами, [url=/online/admin]поддержка Моя Деревня[/url]';
    }
      if($random1==3)
    {
        $random='Всегда рады вашим вопросам,
        [url=/online/admin]Команда поддержки Моя Деревня[/url]';
    }
         if($random1==4)
    {
        $random='Всегда ждем ваших вопросов!
        [url=/online/admin]Команда поддержки Моя Деревня[/url]';
    }
            if($random1==5)
    {
        $random='Спасибо что остаетесь с нами,
        [url=/online/admin]Команда поддержки Моя Деревня[/url]';
    }
               if($random1==6)
    {
        $random='С пожеланиями удачи и прекрасного настроения,
        [url=/online/admin]Ваша поддержка[/url]';
    }
                 if($random1==7)
    {
        $random='Искренне ваша,
        [url=/online/admin]Поддержка Моя Деревня[/url]';
    }
$msgmail='Здравствуйте!
Вы писали:  "'.$tiket['msg'].'"
---
'.$opis.'

'.$random.'';
mysql_query("INSERT INTO `kolhoz_mail` (`id_user`,`id_kont`,`msg`,`time`,`type`,`read`)VALUES('$tiket[id_user]','$ku[id]','$msgmail','$time','to','0')");
mysql_query("UPDATE `me_tikets` SET `msg_otvet` = '$msgmail' WHERE `id` = '$tiket[id]'");
mysql_query("UPDATE `me_tikets` SET `read` = '1' WHERE `id` = '$tiket[id]'");
mysql_query("UPDATE `me_tikets` SET `id_who` = '$ku[id]' WHERE `id` = '$tiket[id]'");
    
header("Location: /?TicketSupport&id=$tiket[id]");
}
}
}
if(isset($_GET['deltikets']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `me_tikets` WHERE `id` = '".intval($_GET['deltikets'])."'"),0)!=0){
mysql_query("DELETE FROM `me_tikets` WHERE `id` = '".intval($_GET['deltikets'])."'");
header("Location: /?TicketSupport");
}
  echo "<div class='block'>";

echo "Автор: ";

echo " <a href='/?user=$tiket[id_user]'>".nc($tiket['id_user'])."</a><br>";
echo "Тип заявки: <span class='title'>".($tiket['name'])."</span></a><br>";
echo "<span class='title'>Вопрос</span>: ".output_text($tiket['msg'])."<br>".($tiket['msg_otvet']!=NULL?"Ответ:<br><span class='title'>".output_text($tiket['msg_otvet'])."</span><br><br>Обработано:  ".nc($tiket['id_who'])."":null)."
</div><div class='block'> <a href='/?TicketSupport&id=$tiket[id]&otvet'>Ответить</a> |
<a href='/?TicketSupport&id=$tiket[id]&otveting'>Моментальный ответ</a> |
<a href='/?TicketInfo&InfoUser=$tiket[id_user]'>История запросов</a> |";
if($tiket['admin']!=1){echo"
<a href='/?TicketSupport&id=$tiket[id]&peredacha'>Передать администратору</a> |";}
echo"
<a href='/?TicketInfo&Support'>Тикеты</a></div>";
include_once 'inc/foot.php';
}
}
if(isset($_GET['go']))
{
$ku['set'] = 100000;
$post = mysql_fetch_array(mysql_query("SELECT * FROM `me_tikets`"));

$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `me_tikets` WHERE `msg_otvet` = ''"),0);
if ($k_post==0)
{
echo "<div class='block'>Нет активных тикетов</div>";
}
$k_page=k_page($k_post,$ku['set']);
$page=page($k_page);
$start=$ku['set']*$page-$ku['set'];
$xx = mysql_query("SELECT * FROM `me_tikets` WHERE `msg_otvet` = '' ORDER BY time DESC LIMIT $start, $ku[set]");
while($tikets=mysql_fetch_assoc($xx)){
  echo "</div><div class='block'><a href='/?TicketSupport&id=$tikets[id]'>Тикет #$tikets[id]</a>";
echo "<br>";
echo " Автор: ID <a href='/user=".($tikets['id_user'])."'>".($tikets['id_user'])."</a><br>[".vremja($tickets['time'])."]</div>";
}
echo'</div></div>';
  include_once 'inc/foot.php';
}
}
if ($k_page>1){echo'</div>';
echo "<div class='block'>";}

if ($k_page>1)str("/?TicketSupport&",$k_page,$page);
echo'</div>';
echo'</div></div>';
include_once 'inc/foot.php';
?>